Package com.complexible.stardog

# Class CommitResult

java.lang.Object
com.complexible.stardog.CommitResult

public class CommitResult extends Object
Represents the approximate net number of triples added or removed in a transaction. This number is not necessarily exact since the storage engine does not check at write time whether the passed triples already exist in the database.

Since:
  5.0
Version:
  7.0.1
Author:
  Evren Sirin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final CommitResult`
  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommitResult(long theAdded, long theRemoved)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `long`
  `getAdded()`
  Returns the number of triples added in the transaction
  `long`
  `getRemoved()`
  Returns the number of triples removed in the transaction
  `int`
  `hashCode()`
  `static CommitResult`
  `merge(CommitResult theFirst, CommitResult theSecond)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EMPTY

    public static final CommitResult EMPTY

- ## Constructor Details

  - ### CommitResult

    public CommitResult(long theAdded, long theRemoved)

- ## Method Details

  - ### merge

    public static CommitResult merge(CommitResult theFirst, CommitResult theSecond)

  - ### getAdded

    public long getAdded()
    Returns the number of triples added in the transaction
    Returns:
      the number of triples added in the transaction

  - ### getRemoved

    public long getRemoved()
    Returns the number of triples removed in the transaction
    Returns:
      the number of triples removed in the transaction

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`